Bug 1793564 - [ceph-ansible] : rolling_update : norebalance flag is to be unset when playbook completes
Summary: [ceph-ansible] : rolling_update : norebalance flag is to be unset when playbo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.1
Assignee: Guillaume Abrioux
QA Contact: Ameena Suhani S H
Bara Ancincova
URL:
Whiteboard:
Depends On: 1818917
Blocks: 1730176 1811582 1816167
TreeView+ depends on / blocked
 
Reported: 2020-01-21 15:11 UTC by Vasishta
Modified: 2020-06-04 20:28 UTC (History)
14 users (show)

Fixed In Version: ceph-ansible-4.0.15-1.el8, ceph-ansible-4.0.15-1.el7
Doc Type: Bug Fix
Doc Text:
.Ansible unsets the `norebalance` flag after it completes Previously, Ansible did not unset the `norebalance` flag and it had to be unset manually. With this update, the `rolling-update.yml` Ansible playbook unsets the `norebalance` flag automatically after it completes and a manual unset is not required.
Clone Of:
Environment:
Last Closed: 2020-05-19 17:32:06 UTC
Target Upstream Version:
hyelloji: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4997 None closed update: remove legacy tasks 2020-06-16 16:08:29 UTC
Red Hat Product Errata RHSA-2020:2231 None None None 2020-05-19 17:32:51 UTC

Description Vasishta 2020-01-21 15:11:20 UTC
Description of problem:
rolling_update sets norebalance during execution of playbook but doesn't undet the flag

Version-Release number of selected component (if applicable):
$ rpm -qa|grep ceph-ansible
ceph-ansible-4.0.10-1.el7cp.noarch


How reproducible:
Always (3/3)

Steps to Reproduce:
1. Configure a ceph cluster and run rolling update


Actual results:
Rolling update sets norebalance flag during rolling update, but doesn't unset

Expected results:
rolling_update should unset flags that it sets during execution of playbook

Additional info:

Comment 8 Ameena Suhani S H 2020-04-16 12:51:53 UTC
Verified using [1]. Moving the bug to "VERIFIED" state.

[1]- ansible-2.8.10-1.el7ae.noarch
   - ceph-ansible-4.0.19-1.el7cp.noarch

Comment 10 errata-xmlrpc 2020-05-19 17:32:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:2231


Note You need to log in before you can comment on or make changes to this bug.